/*
	scripts created by ImagineCG - Alessio Parolin
	info@imaginecg.it
	all rights reserved
*/

macroScript ImagineCGTools
	category:"ImagineCG Tools"
	toolTip:"ImagineCG Tools v2.7.2"
(
	local IniFile = GetDir #plugcfg + "\\ImagineCGTools.ini"
	
	get_OST_dialog_pos_x = getinisetting IniFile "ImagineCGTools" "pos_x" as integer;
	get_OST_dialog_pos_y = getinisetting IniFile "ImagineCGTools" "pos_y" as integer;

	PIVOT_ROLLOUT = include"C:\\ImagineCGTools\\source\\PIVOT_OP.mse";
	SPLINE_ROLLOUT = include"C:\\ImagineCGTools\\source\\SPLINE_OP.mse";
	OBJECT_ROLLOUT = include"C:\\ImagineCGTools\\source\\OBJECT_OP.mse";
	RANDOMIZE_ROLLOUT = include"C:\\ImagineCGTools\\source\\RANDOMIZE_OP.mse";
	CAMERA_ROLLOUT = include"C:\\ImagineCGTools\\source\\CAMERA_OP.mse";
	RENDER_ROLLOUT = include"C:\\ImagineCGTools\\source\\RENDER_OP.mse";
	INFO_ROLLOUT = include"C:\\ImagineCGTools\\source\\INFO.mse";
	
	theNewFloater = newRolloutFloater "ImagineCGTools" 180 800 get_OST_dialog_pos_x get_OST_dialog_pos_y;
	
	tmp = execute (getIniSetting IniFile "PIVOT" "rolledup")
	if tmp == OK do tmp = true
	addRollout PIVOT_ROLLOUT theNewFloater rolledup:tmp;
	
	tmp = execute (getIniSetting IniFile "SPLINE" "rolledup")
	if tmp == OK do tmp = true
	addRollout SPLINE_ROLLOUT theNewFloater rolledup:tmp;
	
	tmp = execute (getIniSetting IniFile "OBJECT" "rolledup")
	if tmp == OK do tmp = true
	addRollout OBJECT_ROLLOUT theNewFloater rolledup:tmp;
	
	tmp = execute (getIniSetting IniFile "RANDOMIZE" "rolledup")
	if tmp == OK do tmp = true	
	addRollout RANDOMIZE_ROLLOUT theNewFloater rolledup:tmp;	
	
	tmp = execute (getIniSetting IniFile "CAMERA" "rolledup")
	if tmp == OK do tmp = true
	addRollout CAMERA_ROLLOUT theNewFloater rolledup:tmp;
	
	tmp = execute (getIniSetting IniFile "RENDER" "rolledup")
	if tmp == OK do tmp = true
	addRollout RENDER_ROLLOUT theNewFloater rolledup:tmp;
	
	tmp = execute (getIniSetting IniFile "INFO" "rolledup")
	if tmp == OK do tmp = true
	addRollout INFO_ROLLOUT theNewFloater rolledup:tmp;
)
